Bug 130164 - GTK3: page format / header / more is non-responsive
Summary: GTK3: page format / header / more is non-responsive
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-24 07:17 UTC by Elmar
Modified: 2020-01-29 09:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
spreadsheet sample (13.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-01-24 07:18 UTC, Elmar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elmar 2020-01-24 07:17:02 UTC
Description:
The page style dialog to do borders and background is non-responsive

Steps to Reproduce:
1.create new doc
2.click on format / page style / More...
3.cannot do anything on the dialog (is as if it is a screen shot)
4.close parent dialog box first, then can close the More... dialog

Actual Results:
Can only close More... after closing parent
Cannot action anything on the More... dialog

Expected Results:
Should be able to do More... functions


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-GB
Module: SpreadsheetDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes

Version: 6.5.0.0.alpha0+
Build ID: b203b9c83d0000c8465dcd92fb6b029a2f28c724
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-01-14_09:44:21
Locale: en-GB (en_GB.UTF-8); UI-Language: en-GB
Calc: threaded

Works as it should in v6.0
Comment 1 Elmar 2020-01-24 07:18:41 UTC
Created attachment 157383 [details]
spreadsheet sample
Comment 2 Xisco Faulí 2020-01-24 11:11:09 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=11efaea763bbbb9016ab39d53e191381444791f9

author	Ashod Nakashian <ashod.nakashian@collabora.co.uk>	2019-05-26 14:59:53 -0400
committer	Ashod Nakashian <ashnakash@gmail.com>	2019-12-22 16:23:17 +0100
commit 11efaea763bbbb9016ab39d53e191381444791f9 (patch)
tree 8beaf81f7b5743b5d19c20681005059be565115c
parent d33378691500f02c8004645dadd403c2a72e4fee (diff)
svx: LOK: convert background child-dialogs to async

Bisected with: bibisect-linux64-6.5

Adding Cc: to Ashod Nakashian
Comment 3 Commit Notification 2020-01-24 17:04:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e064188f7ddc68040fa89c7d81ab974517c45f44

Resolves: tdf#130164 background/border dialog should be modal

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-01-28 09:35:12 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: aef7feb3e695ecf6d411f0777196dcc4281e201a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-01-29 09:44:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/6c1a55b8df82c8568e9d00f7968e6e057077b109

Resolves: tdf#130164 background/border dialog should be modal

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.